<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\PeerDataOperationRequestResponseMessage\PeerDataOperationResult;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class LinkPreviewResponse extends \Google\Protobuf\Internal\Message
{
    


    protected $url = null;
    


    protected $title = null;
    


    protected $description = null;
    


    protected $thumbData = null;
    


    protected $matchText = null;
    


    protected $previewType = null;
    


    protected $hqThumbnail = null;
    


    protected $previewMetadata = null;

    















    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getUrl()
    {
        return isset($this->url) ? $this->url : '';
    }

    public function hasUrl()
    {
        return isset($this->url);
    }

    public function clearUrl()
    {
        unset($this->url);
    }

    




    public function setUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->url = $var;

        return $this;
    }

    



    public function getTitle()
    {
        return isset($this->title) ? $this->title : '';
    }

    public function hasTitle()
    {
        return isset($this->title);
    }

    public function clearTitle()
    {
        unset($this->title);
    }

    




    public function setTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->title = $var;

        return $this;
    }

    



    public function getDescription()
    {
        return isset($this->description) ? $this->description : '';
    }

    public function hasDescription()
    {
        return isset($this->description);
    }

    public function clearDescription()
    {
        unset($this->description);
    }

    




    public function setDescription($var)
    {
        GPBUtil::checkString($var, True);
        $this->description = $var;

        return $this;
    }

    



    public function getThumbData()
    {
        return isset($this->thumbData) ? $this->thumbData : '';
    }

    public function hasThumbData()
    {
        return isset($this->thumbData);
    }

    public function clearThumbData()
    {
        unset($this->thumbData);
    }

    




    public function setThumbData($var)
    {
        GPBUtil::checkString($var, False);
        $this->thumbData = $var;

        return $this;
    }

    



    public function getMatchText()
    {
        return isset($this->matchText) ? $this->matchText : '';
    }

    public function hasMatchText()
    {
        return isset($this->matchText);
    }

    public function clearMatchText()
    {
        unset($this->matchText);
    }

    




    public function setMatchText($var)
    {
        GPBUtil::checkString($var, True);
        $this->matchText = $var;

        return $this;
    }

    



    public function getPreviewType()
    {
        return isset($this->previewType) ? $this->previewType : '';
    }

    public function hasPreviewType()
    {
        return isset($this->previewType);
    }

    public function clearPreviewType()
    {
        unset($this->previewType);
    }

    




    public function setPreviewType($var)
    {
        GPBUtil::checkString($var, True);
        $this->previewType = $var;

        return $this;
    }

    



    public function getHqThumbnail()
    {
        return $this->hqThumbnail;
    }

    public function hasHqThumbnail()
    {
        return isset($this->hqThumbnail);
    }

    public function clearHqThumbnail()
    {
        unset($this->hqThumbnail);
    }

    




    public function setHqThumbnail($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\PeerDataOperationRequestResponseMessage\PeerDataOperationResult\LinkPreviewResponse\LinkPreviewHighQualityThumbnail::class);
        $this->hqThumbnail = $var;

        return $this;
    }

    



    public function getPreviewMetadata()
    {
        return $this->previewMetadata;
    }

    public function hasPreviewMetadata()
    {
        return isset($this->previewMetadata);
    }

    public function clearPreviewMetadata()
    {
        unset($this->previewMetadata);
    }

    




    public function setPreviewMetadata($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\PeerDataOperationRequestResponseMessage\PeerDataOperationResult\LinkPreviewResponse\PaymentLinkPreviewMetadata::class);
        $this->previewMetadata = $var;

        return $this;
    }

}

